package cohttp-lwt-unix

  1. Overview
  2. No Docs
CoHTTP implementation for Unix and Windows using Lwt

Install

Dune Dependency

Authors

Maintainers

Sources

cohttp-v3.0.0.tbz
sha256=fb872f437aabc9c336bb822ac18ccbce794a2614ecb9d3edafb679dcafc82ea4
sha512=a33a02f07621995aad6c7c571cab1ea715912b65a1b6ab0634d9033e786c3c61fefe08fd9783e66743eef8571ac0335136b77be830909ea1c5bbcf6617295a34

Description

An implementation of an HTTP client and server using the Lwt concurrency library. See the Cohttp_lwt_unix module for information on how to use this. The package also installs cohttp-curl-lwt and a cohttp-server-lwt binaries for quick uses of a HTTP(S) client and server respectively.

Although the name implies that this only works under Unix, it should also be fine under Windows too.

Tags

org:mirage org:xapi-project

Published: 06 Nov 2020

Dev Dependencies (1)

  1. ounit with-test

Used by (83)

  1. aws-lwt
  2. aws-s3-lwt < "4.0.0"
  3. awsm-lwt
  4. azure-cosmos-db
  5. bitcoin-cohttp-lwt
  6. calculon-web = "0.4"
  7. caldav
  8. canary
  9. comby
  10. comby-semantic
  11. cowabloga >= "0.4.0"
  12. curly >= "0.3.0"
  13. current_github < "0.6"
  14. current_slack != "0.4" & < "0.6"
  15. current_web < "0.6"
  16. datakit-ci >= "0.12.1"
  17. doculib
  18. doi2bib
  19. dropbox_lwt_unix
  20. equinoxe-cohttp
  21. git-cohttp-unix
  22. git-unix >= "1.11.4" & < "2.0.0" | >= "2.1.1" & < "3.7.0"
  23. github-hooks-unix
  24. github-unix >= "3.0.1" & < "4.4.0"
  25. graphql-cohttp >= "0.13.0"
  26. grpc-examples
  27. hockmd
  28. influxdb-lwt
  29. ip2location
  30. ip2locationio
  31. ip2whois
  32. irmin-cli
  33. irmin-git >= "3.4.0"
  34. irmin-graphql >= "2.2.0"
  35. irmin-http >= "2.6.0"
  36. irmin-server
  37. irmin-unix >= "2.3.0"
  38. jerboa
  39. js_of_ocaml-toplevel >= "3.10.0"
  40. kappa-server
  41. kubecaml
  42. learn-ocaml != "0.12"
  43. learn-ocaml-client >= "0.13.0"
  44. letsencrypt < "0.3.0"
  45. letsencrypt-app
  46. links >= "0.9"
  47. mechaml >= "1.0.0"
  48. nsq >= "0.2.4"
  49. ocamlapi_lwt_unix
  50. ocluster < "0.2.1"
  51. ocsigen-start >= "2.2.2"
  52. ocsigenserver >= "3.0.0" & < "5.1.0"
  53. oframl
  54. opam2web >= "2.0"
  55. openai-gym
  56. opentelemetry-client-cohttp-lwt
  57. opentelemetry-lwt
  58. opium >= "0.16.0" & < "0.19.0"
  59. oraft < "0.2.0"
  60. ozulip
  61. prometheus-app = "0.4" | >= "0.6" & < "1.2"
  62. prometheus-liquidsoap
  63. quests
  64. resto-cohttp-server
  65. sihl < "0.1.4" | >= "0.1.8" & != "0.3.0~rc1"
  66. sihl-core
  67. sihl-email >= "0.2.0"
  68. slacko >= "0.14.1"
  69. spotify-web-api >= "0.2.1"
  70. telegraml >= "2.2.0"
  71. terminus-cohttp
  72. textrazor
  73. tezos-rpc-http-client-unix >= "9.0" & < "16.0"
  74. tidy_email_mailgun
  75. tidy_email_sendgrid
  76. tldr
  77. wcs >= "2017-05-26.01"
  78. wcs-api >= "2017-05-26.03"
  79. wcs-lib >= "2017-05-26.05"
  80. websocket-lwt >= "2.11"
  81. websocket-lwt-unix = "2.14"
  82. yurt >= "0.4"
  83. zeit

Conflicts

None

OCaml

Innovation. Community. Security.